Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTransform.TransformationType

    java.lang.Object
      java.lang.Enum<QTransform.TransformationType>
          com.trolltech.qt.gui.QTransform.TransformationType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTransform.TransformationType>

Enclosing class:
  QTransform

    public static enum QTransform.TransformationType

extends java.lang.Enum<QTransform.TransformationType>
implements QtEnumerator

Press link for info on QTransform.TransformationType

Enum Constant Summary
`TxNone` Internal.
`TxProject` Internal.
`TxRotate` Internal.
`TxScale` Internal.
`TxShear` Internal.
`TxTranslate` Internal.

Method Summary
`static QTransform.TransformationType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTransform.TransformationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTransform.TransformationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TxNone

    public static final QTransform.TransformationType TxNone

  Internal.

### TxTranslate

    public static final QTransform.TransformationType TxTranslate

  Internal.

### TxScale

    public static final QTransform.TransformationType TxScale

  Internal.

### TxRotate

    public static final QTransform.TransformationType TxRotate

  Internal.

### TxShear

    public static final QTransform.TransformationType TxShear

  Internal.

### TxProject

    public static final QTransform.TransformationType TxProject

  Internal.

Method Detail

### values

    public static final QTransform.TransformationType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTransform.TransformationType c : QTransform.TransformationType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTransform.TransformationType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTransform.TransformationType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD